SQL-инъекция в Joomla PU Arcade компоненте

Дата публикации:
14.01.2008
Всего просмотров:
1394
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PU Arcade 2.x (component for Joomla)
Уязвимые версии: PU Arcade (компонент к Joomla) 2.0.3 и 2.1.3 Beta, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "fid" в сценарии index.php, когда параметр "option" установлен в значение "com_puarcade". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Пример:

http://[host]/index.php?option=com_puarcade&Itemid=92&fid=-[SQL]

URL производителя: www.pragmaticutopia.com

URL производителя:

Решение: Установите последнюю версию или исправление с сайта производителя.
http://www.pragmaticutopia.com/index....unc=view&id=4407&catid=2#4408

или введите имя

CAPTCHA